Subject: Re: [PATCH 2/6] powerpc/85xx: consolidate of_platform_bus_probe calls

From: Timur Tabi <[email-masked]>
Date: Tue, 29 Nov 2011 10:17:19 -0600

Kumar Gala wrote:

>> I don't think this is working.  I need to investigate some more to be
>> sure, but it looks like this is not picking up "fsl,eloplus-dma".
>> None of the DMA channels are being probed in the audio driver
>> (sound/soc/fsl_dma.c).
> 
> Hmm, that's odd.  Should see if the issues exists before the change.

If I move the "fsl,eloplus-dma" into mpc85xx_common_ids[], then everything works.

I suspect there's some kind of state machine in of_platform_bus_probe() that allows it to find the DMA channel nodes if it's scanned everything else first.  I'm trying to debug it now.

-- 
Timur Tabi
Linux kernel developer at Freescale